"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextMenuType = exports.ContextMenuCommandBuilder = void 0;
const discord_js_1 = require("discord.js");
class ContextMenuCommandBuilder extends discord_js_1.ContextMenuCommandBuilder {
    type;
    name;
    constructor(data) {
        super();
        this.type = data.type;
        this.name = data.name;
        if (data.name_localizations) {
            this.name_localizations = data.name_localizations;
        }
    }
}
exports.ContextMenuCommandBuilder = ContextMenuCommandBuilder;
var ContextMenuType;
(function (ContextMenuType) {
    ContextMenuType[ContextMenuType["User"] = 2] = "User";
    ContextMenuType[ContextMenuType["Message"] = 3] = "Message";
})(ContextMenuType = exports.ContextMenuType || (exports.ContextMenuType = {}));
